<?php
namespace app\api\controller\travel;

use app\api\controller\BaseController;
use app\api\server\travel\LineServer;

class Line extends BaseController
{

    /**
     * Notes:获取店铺信息
     * @return \support\Response
     * User: YCP
     * Date: 2023/5/16
     */
    public function shopInfo()
    {
        $shop_id       = $this->request->get('shop_id');//店铺id
        $result         = LineServer::getShop($shop_id);
        return json_success($result, '成功');
    }

    /**
     * Notes:获取线路列表
     * @return \support\Response
     * User: YCP
     * Date: 2023/5/16
     */
    public function getLineList()
    {
        $result         = LineServer::getLineList();
        return json_success($result, '成功');
    }

    /**
     * Notes:查询线路详情
     * @return \support\Response
     * User: YCP
     * Date: 2023/5/16
     */
    public function lineInfo()
    {
        $line_id = $this->request->get('line_id');
        $result         = LineServer::lineInfo($line_id);
        return json_success($result, '成功');
    }


}
